# List

Launch stage: GA

`GET /api/2.0/clean-rooms`

Get a list of all clean rooms of the metastore. Only clean rooms
 the caller has access to are returned.

API scopes: cleanrooms

## Query parameters

- `page_size` (int32, optional)
  Maximum number of clean rooms to return (i.e., the page length). Defaults to 100.
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of CleanRoom objects.

## Response

```json
{
  "clean_rooms": [
    {
      "name": "test-clean-room1",
      "remote_detailed_info": {},
      "owner": "alice@example.com",
      "comment": "This is a clean room for demo",
      "created_at": 1716424663321,
      "updated_at": 1716424663321,
      "status": "string",
      "local_collaborator_alias": "creator",
      "output_catalog": {},
      "access_restricted": "string",
      "enable_shared_output": false
    }
  ],
  "next_page_token": "string"
}
```

